Summary:	Highly configurable and secure finger daemon with IPv6 support
Name:		cfingerd
Version:	1.4.3
Release:	1.norlug
License:	GPL
Group:		Networking/Daemons
URL:		http://www.infodrom.north.de/cfingerd/
Source0:	http://www.infodrom.org/projects/cfingerd/download/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Source2:	%{name}.xinetd
#Patch0:		http://www.misiek.eu.org/ipv6/%{name}-1.4.3-ipv6-12121999.patch.gz
#Patch1:		%{name}-config.patch
Patch0:		userlist-compile.patch
Patch1:		%{name}-security_format_bug.patch
Patch2:		%{name}-gpg.patch
Requires:	xinetd
Prereq:		xinetd
Provides:	cfingerd, fingerd
#BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRoot:	%{_tmppath}/%{name}-buildroot
Conflicts:	finger-server
Obsoletes:	cfingerd-nobodyi, cfingerd-noroot, efingerd
Obsoletes:	ffingerd, bsd-fingerd

%description
CFINGERD is a free finger daemon replacement for standard finger
daemons such as GNU Finger, MIT Finger, or KFINGERD. CFINGERD is
highly becoming a respected standard as the finger daemon to use.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1

%build
./Configure

#%{__make} all \
#	CC=%{__cc} \
#	CFLAGS="-DINET6=1 %{rpmcflags}" \
#	LDFLAGS="%{rpmldflags}"

%{__make} all \
   CC=%{__cc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}/scripts,/etc/{logrotate.d,sysconfig/rc-inetd}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{1,5,8}}

install src/cfingerd userlist/userlist $RPM_BUILD_ROOT%{_sbindir}/
install	cfingerd.conf userlist/userlist.conf texts/*.txt \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install scripts/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/scripts/

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install	%{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.d/cfingerd

install userlist/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install	docs/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install	docs/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/


#%post
#if [ -f /var/lock/subsys/rc-inetd ]; then
#	/etc/rc.d/init.d/rc-inetd reload 1>&2
#else
#	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
#fi

#%postun
#if [ -f /var/lock/subsys/rc-inetd ]; then
#	/etc/rc.d/init.d/rc-inetd reload
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS FAQ README README.noroot RECOMMEND TODO
%attr(755,root,root) %dir %{_sysconfdir}/%{name}
%attr(755,root,root) %dir %{_sysconfdir}/%{name}/scripts
%attr(755,root,root) %{_sysconfdir}/%{name}/scripts/*
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/cfingerd.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/userlist.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*.txt
%attr(640,root,root) /etc/logrotate.d/%{name}
%attr(640,root,root) /etc/xinetd.d/cfingerd
%{_mandir}/man[158]/*

%changelog
* Thu Jan 15 2004 Chip Cuccio <chipster@norlug.org> 1.4.3
- initial build for rh-7.3
- replaces/obsoletes Red Hat's 'finger-server' package
